Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.worklist.api
Class ActionType

    java.lang.Object
      com.bea.wli.worklist.api.ActionType

All Implemented Interfaces:
  Serializable

Deprecated.

    public class ActionType

extends Object
implements Serializable

The action type class describes all the actions possible on the worklist. You can refer to this class to determine what is the action type that corresponds to the action type value stored in the archiving tables.

Since:
  8.1
See Also:
  Serialized Form

Field Summary
`static ActionType` | `ABORT` Deprecated.
`static ActionType` | `ADD_LISTENER` Deprecated.
`static ActionType` | `ASSIGN` Deprecated.
`static ActionType` | `CLAIM` Deprecated.
`static ActionType` | `CLAIM_EXPIRE` Deprecated.
`static ActionType` | `COMPLETE` Deprecated.
`static ActionType` | `CREATE` Deprecated.
`static ActionType` | `EXPIRE` Deprecated.
`static ActionType` | `REMOVE_LISTENER` Deprecated.
`static ActionType` | `RESUME` Deprecated.
`static ActionType` | `RETURN` Deprecated.
`static ActionType` | `START` Deprecated.
`static ActionType` | `STOP` Deprecated.
`static ActionType` | `SUSPEND` Deprecated.
`static ActionType` | `UPDATE_CAN_BE_ABORTED` Deprecated.
`static ActionType` | `UPDATE_CAN_BE_REASSIGNED` Deprecated.
`static ActionType` | `UPDATE_CAN_BE_RETURNED` Deprecated.
`static ActionType` | `UPDATE_CLAIM_DATE` Deprecated.
`static ActionType` | `UPDATE_COMMENT` Deprecated.
`static ActionType` | `UPDATE_EXPIRATION_DATE` Deprecated.
`static ActionType` | `UPDATE_OWNER` Deprecated.
`static ActionType` | `UPDATE_PRIORITY` Deprecated.
`static ActionType` | `UPDATE_REQUEST` Deprecated.
`static ActionType` | `UPDATE_RESPONSE` Deprecated.

Method Summary
`static ActionType` | `getActionType(Integer value)` Deprecated.
`static ActionType` | `getActionType(String value)` Deprecated.
`Integer` | `getValue()` Deprecated.
`String` | `toString()` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### CREATE

    public static final ActionType CREATE

  Deprecated.

### ASSIGN

    public static final ActionType ASSIGN

  Deprecated.

### CLAIM

    public static final ActionType CLAIM

  Deprecated.

### SUSPEND

    public static final ActionType SUSPEND

  Deprecated.

### RESUME

    public static final ActionType RESUME

  Deprecated.

### COMPLETE

    public static final ActionType COMPLETE

  Deprecated.

### ABORT

    public static final ActionType ABORT

  Deprecated.

### RETURN

    public static final ActionType RETURN

  Deprecated.

### START

    public static final ActionType START

  Deprecated.

### STOP

    public static final ActionType STOP

  Deprecated.

### UPDATE_COMMENT

    public static final ActionType UPDATE_COMMENT

  Deprecated.

### UPDATE_PRIORITY

    public static final ActionType UPDATE_PRIORITY

  Deprecated.

### UPDATE_EXPIRATION_DATE

    public static final ActionType UPDATE_EXPIRATION_DATE

  Deprecated.

### UPDATE_CLAIM_DATE

    public static final ActionType UPDATE_CLAIM_DATE

  Deprecated.

### UPDATE_OWNER

    public static final ActionType UPDATE_OWNER

  Deprecated.

### UPDATE_CAN_BE_REASSIGNED

    public static final ActionType UPDATE_CAN_BE_REASSIGNED

  Deprecated.

### UPDATE_CAN_BE_RETURNED

    public static final ActionType UPDATE_CAN_BE_RETURNED

  Deprecated.

### UPDATE_CAN_BE_ABORTED

    public static final ActionType UPDATE_CAN_BE_ABORTED

  Deprecated.

### UPDATE_REQUEST

    public static final ActionType UPDATE_REQUEST

  Deprecated.

### UPDATE_RESPONSE

    public static final ActionType UPDATE_RESPONSE

  Deprecated.

### ADD_LISTENER

    public static final ActionType ADD_LISTENER

  Deprecated.

### REMOVE_LISTENER

    public static final ActionType REMOVE_LISTENER

  Deprecated.

### CLAIM_EXPIRE

    public static final ActionType CLAIM_EXPIRE

  Deprecated.

### EXPIRE

    public static final ActionType EXPIRE

  Deprecated.

Method Detail

### toString

    public String toString()

  Deprecated.
  Overrides:
    `toString` in class `Object`

### getValue

    public Integer getValue()

  Deprecated.

### getActionType

    public static ActionType getActionType(Integer value)

  Deprecated.

### getActionType

    public static ActionType getActionType(String value)

  Deprecated.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD